import { BaseStyle } from 'primeng/base';
import * as i0 from "@angular/core";
export declare class ChipsStyle extends BaseStyle {
    name: string;
    theme: ({ dt }: {
        dt: any;
    }) => string;
    classes: {
        root: ({ instance, props }: {
            instance: any;
            props: any;
        }) => (string | {
            'p-disabled': any;
            'p-invalid': any;
            'p-focus': any;
            'p-inputwrapper-filled': any;
            'p-inputwrapper-focus': any;
        })[];
        input: ({ props, instance }: {
            props: any;
            instance: any;
        }) => (string | {
            'p-variant-filled': boolean;
        })[];
        chipItem: ({ state, index }: {
            state: any;
            index: any;
        }) => (string | {
            'p-focus': boolean;
        })[];
        pcChip: string;
        chipIcon: string;
        inputItem: string;
    };
    static ɵfac: i0.ɵɵFactoryDeclaration<ChipsStyle, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ChipsStyle>;
}
/**
 *
 * Chips is used to enter multiple values on an input field.
 *
 *
 * @module chipsstyle
 *
 */
export declare enum ChipsClasses {
    /**
     * Class name of the root element
     */
    root = "p-chip",
    /**
     * Class name of the image element
     */
    image = "p-chip-image",
    /**
     * Class name of the icon element
     */
    icon = "p-chip-icon",
    /**
     * Class name of the label element
     */
    label = "p-chip-label",
    /**
     * Class name of the remove icon element
     */
    removeIcon = "p-chip-remove-icon"
}
export interface ChipsStyle extends BaseStyle {
}
